Get organization information

Prev Next

Available in VPC

Get the organization details of a blockchain network.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks/{networkId}/organizations/{mspId} (Korea Region)
GET /api/sgn-v1/networks/{networkId}/organizations/{mspId} (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
networkId Long Required Network ID
mspId String Required Organization MSP ID

Request example

The following is a sample request.

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/organizations/{mspId}' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Object - Organization details
content.mspId String - Organization MSP ID
content.mspName String - Organization MSP name
content.importYn Boolean - Organization MSP import status
  • Y | N (default)
    • Y: organization MSP imported from another network
    • N: organization MSP in the current network
exportNetworkId Long - Network ID imported from another network
  • It is displayed when importYn is Y
content.networkId Long - Network ID
content.nodeList Array - nodeList details: nodeList
content.consortiumList Array - consortiumList details: consortiumList

nodeList

The following describes nodeList.

Field Type Required Description
nodeName String - Node name
nodeType String - Node type
  • orderer | peer | CA
    • orderer: Manage channel configuration information within the network
    • peer: Maintain the network and handle transactions
    • CA: Issue and manage certificates in the network
status String - Node status
  • ACTIVE | DEPLOY | DELETE
    • ACTIVE: running
    • DEPLOY: deploying
    • DELETE: deleting

consortiumList

The following describes consortiumList.

Field Type Required Description
role String - Role of the consortium user
  • operator | participant
    • operator: Manage and operate the network
    • participant: Participate in the network
ordererMsp String - Orderer MSP name with consortium
channelName String - Name of the channel included in the consortium
ordererName String - Orderer name with consortium

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

When querying with current network ID

The following is a sample response when querying with the current network ID.

{
    "content": {
        "mspId": "test-msp",
        "mspName": "test-msp",
        "importYn": "N",
        "networkId": 1630,
        "nodeList": [
            {
                "nodeName": "test-peer2",
                "nodeType": "Peer",
                "status": "ACTIVE"
            },
            {
                "nodeName": "test-orderer",
                "nodeType": "Orderer",
                "status": "ACTIVE"
            },
            {
                "nodeName": "test-orderer2",
                "nodeType": "Orderer",
                "status": "ACTIVE"
            },
            {
                "nodeName": "test-orderer3",
                "nodeType": "Orderer",
                "status": "ACTIVE"
            },
            {
                "nodeName": "test-ca",
                "nodeType": "CA",
                "status": "ACTIVE"
            }
        ],
        "consortiumList": [
            {
                "role": "operator",
                "ordererMsp": "test-msp",
                "channelName": "test-channel",
                "ordererName": "test-orderer"
            }
        ]
    }
}

When querying with imported network ID

The following is a sample response when querying with an imported network ID.

{
    "content": {
        "mspId": "orderer-msp1",
        "mspName": "orderer-msp1",
        "importYn": "Y",
        "exportNetworkId": 1633,
        "networkId": 1634,
        "nodeList": [],
        "consortiumList": []
    }
}